gnutls_privkey_sign_raw_data(3)

NAME
gnutls_privkey_sign_raw_data - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_privkey_sign_raw_data(gnutls_privkey_t key, unsigned flags, const gnutls_datum_t * data, gnutls_datum_t * signature);

ARGUMENTS

gnutls_privkey_t key
    Holds the key

unsigned flags
    should be zero

const gnutls_datum_t * data
    holds the data to be signed

gnutls_datum_t * signature
    will contain the signature allocate with gnutls_malloc()

DESCRIPTION
This function will sign the given data using a signature algorithm supported by the private key. Note that this is a low-level function and does not apply any preprocessing or hash on the signed data. For example on an RSA key the input data should be of the DigestInfo PKCS 1 1.5 format. Use it only if you know what are you doing.

Note this function is equivalent to using the GNUTLS_PRIVKEY_SIGN_FLAG_TLS1_RSA flag with gnutls_privkey_sign_hash().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/